Bug 215115 - eth0 gets renamed to dev23778
eth0 gets renamed to dev23778
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-11-10 20:17 EST by Dan Carpenter
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 22:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Carpenter 2006-11-10 20:17:03 EST
Description of problem: eth0 gets renamed to dev23778

Version-Release number of selected component (if applicable): 

How reproducible:  I've only seen this on one system.

Steps to Reproduce:

I've got a system with onboard dual on board tg3 drivers and an addin dual e1000

Anaconda created the /etc/sysconfig/network-scripts/ifcfg-eth<X> files and it
put the e1000 as eth0 and eth1 and the tg3 as eth2 and eth3.

When the system boots the tg3 module gets finished loading first and it puts the
tg3 as eth0 and eth1 and the e1000 as eth2 and eth3.

Then udev tries to rename them but it gets very confused and I end up with 
tg3 as dev23778, eth1 and the e1000s as eth2 and eth3.

I renamed /sbin/start_udev and that seemed to make the problem go away so I'm
pretty sure this is a udev bug.
Comment 1 Bill Nottingham 2006-11-13 22:37:33 EST
Make sure you have HWADDR in all your ifcfg-ethX files, and that you have
installed the errata initscripts. That should solve the issue.

Note You need to log in before you can comment on or make changes to this bug.